com.microfocus.awm.meta.modelextension

## Class PropertyProviderExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.PropertyProviderExtension

-     public class PropertyProviderExtension
      extends ModelExtensionObject

  Parsed property provider extension.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyProviderExtension(java.lang.String pId, java.lang.String pLabel, java.lang.Object pPropertyProvider, FunctionPackageExtension pFunctionPackage)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<LinkedPropertyExtension>` | `getProperties()` Gets the providers properties.
    `java.lang.Object` | `getPropertyProvider()` Gets the property provider implementation.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyProviderExtension

          public PropertyProviderExtension(java.lang.String pId,
                                           java.lang.String pLabel,
                                           java.lang.Object pPropertyProvider,
                                           FunctionPackageExtension pFunctionPackage)

      Basic constructor.
      Parameters:
        `pId` - the ID
        `pLabel` - the label
        `pFunctionPackage` - the defining function package

  - ### Method Detail

    - #### getPropertyProvider

          public java.lang.Object getPropertyProvider()

      Gets the property provider implementation.
      Returns:
        the property provider

    - #### getProperties

          public java.util.List<LinkedPropertyExtension> getProperties()

      Gets the providers properties.
      Returns:
        the properties

Copyright © 2015 Micro Focus GmbH. All rights reserved.